## maint-guide 1.0

=== Makefile ===
#
# Makefile for the Debian New Maintainers' Guide
#
# Should work both for a manual in the Debian Documentation Project
# manuals.sgml tree, and for maint-guide package build.

# this can and will be overriden by a higher level makefile
PUBLISHDIR := ../../../public_html/manuals.html

all: html txt ps

# generating HTML
html: $(patsubst %.sgml,%.html/index.html,$(wildcard *.sgml))

maint-guide.html/index.html: maint-guide.sgml
	debiandoc2html $<

maint-guide.%.html/index.html: maint-guide.%.sgml
	debiandoc2html -l $* $<

# generating plain text
txt text: $(patsubst %.sgml,%.txt,$(wildcard *.sgml))

maint-guide.txt: maint-guide.sgml
	debiandoc2text $<

maint-guide.%.txt: maint-guide.%.sgml
	debiandoc2text -l $* $<

# generating PostScript
ps: maint-guide.ps

maint-guide.ps: maint-guide.sgml
	debiandoc2latexps $<

# publishing to the DDP web pages
publish: maint-guide.html/index.html
	test -d $(PUBLISHDIR)/maint-guide || install -d -m 755 $(PUBLISHDIR)/maint-guide
	rm -f $(PUBLISHDIR)/maint-guide/*.html
	install -p -m 644 maint-guide.html/*.html $(PUBLISHDIR)/maint-guide/

# validating SGML
validate:
	set -x; for i in $(wildcard *.sgml); do nsgmls -ges -wall $$i; done

# cleaning up
clean distclean:
	rm -f maint-guide*.{txt,ps,dvi,pdf,info*,log,tex,aux,toc,sasp*} *~
	rm -rf maint-guide*.html

.PHONY: all publish clean distclean validate

=== debian/changelog ===
maint-guide (1.0) frozen unstable; urgency=low

  * Final version :) Changed all (0.99.1) version numbers to be 1.0.
  * Fixed path of the .tar.gz file in dh_make invocation, reported by
    Bruce Sass.
  * Updated Russian translation to version 0.99.1.

  * Changed doc-base paths to use /usr/share/doc, to prevent any problems
    related to .dhelp files under /usr/doc, closes: #52488.

 -- Josip Rodin <jrodin@jagor.srce.hr>  Sun, 28 May 2000 14:31:41 +0200

maint-guide (0.99.1.0) frozen unstable; urgency=low

  * Updated Spanish translation to version 0.99.1.
  * Updated French translation to version 0.99.1 (plus some typos fixed).

  * Revived Russian .txt, debiandoc-sgml has been fixed.
  * Added PostScript version, it's useful for printing. Only for English,
    for now (I might not have appropriate teTeX fonts, so let's not screw
    up something now).

 -- Josip Rodin <jrodin@jagor.srce.hr>  Wed, 15 Mar 2000 23:45:58 +0100

maint-guide (0.99.1) frozen unstable; urgency=low

  * Added a few extra notes about Makefiles in autoconfized/automaked
    sources. That is about it for 0.99.1. If I ever get all the
    translations updated, that'll be upped to 1.0.

  * Added Spanish translation, version 0.95 for now, package version
    0.97.0.1 (to not have to add epoch). Fixed author/copyright statement.
  * Added Russian translation, version 0.97 for now, by Mihail Sobolev.
    The text version doesn't seem to be working so good, disabled for now,
    bug filed on debiandoc2text about it.
  * Added Japanese translation of this version.
  * Fixed Japanese charset, closes: #55421. Did the same for other langs.
    Added translated names in translation packages' descriptions.
  * Fixed s/text.gz/txt/ in filenames in doc-base files.
    Removed extra ${lang} in the files, closes: #58967.
  * Removed extra entries from Build-Depends:, debiandoc-sgml is fixed now.
  * Optimized debian/rules a bit. Removed unused version.ent stuff.

 -- Josip Rodin <jrodin@jagor.srce.hr>  Thu, 25 Jan 2000 23:59:59 +0100

maint-guide (0.99) frozen unstable; urgency=low

  * Followed a couple of useful suggestions from Zygo Blaxell, regarding
    the build directory and several technical fixes in the text.
  * Moved description of changelog and copyright files under "Required
    files". The description of control and rules is there, of course, but
    with some things fixed and updated (WRT new dh_make).
  * Changed license to solely GPL.
  * Used several corrections and additions from James R. Van Zandt, most
    notably a new section about updating the package, and several grammar
    and style fixes.

  * Updated for new debiandoc-sgml. Removed postscript files.
  * Added a new file, called "Credits", containing names and mails of
    people involved in making this document. Please contact me if you
    helped and I forgot to add your name there.
  * The French translation wasn't updated, but this upload contains it
    (version 0.97.1) because of these:
    * Fixed French text file byhand entry.
    * Created /usr/doc/maint-guide symlink in maint-guide-fr
      postinst/prerm, closes: #49567.
  * This upload also contains maint-guide-ja package, containing the
    Japanese translation, version 0.97.
  * Standards-Version: 3.1.1. Added Build-Depends: (although it is a bit
    pointless, as this is an arch-indep package :o). Some other fixes
    to debian/*.
  * Currently, I have French and Japanese translation of version 0.97,
    and Spanish of 0.95. When I get updated copies of all of these, I'll
    release 1.0. This is a call for help - please translators, do this
    before release.

 -- Josip Rodin <jrodin@jagor.srce.hr>  Tue, 28 Dec 1999 02:45:44 +0100

maint-guide (0.97) unstable; urgency=low

  * Numerous corrections to the wording/grammar/spelling.
  * Added a little comment at the top, to help translators identify
    themselves.
  * Updated the needed programs/sections list to current slink/potato state.
  * Separated the note about debmake in its own paragraph.
  * Added "0.0." in the example where a date is to be used as a version,
    and added in a short explanation why that should be done (closes: #45657).
  * Updated the dh_make e-mail setting method to match the way current
    potato script does it, and updated most of the auto-generated files
    with those from the current version.
  * Updated the signing info with newer GPG and non-US data.
  * Added a note about autoconf-ized programs in the partly rewritten and
    renamed section about changing upstream Makefiles to fix $DESTDIR
    problem. (closes: #42614)
  * Updated the section about package relationships, with notes about APT
    and a bit of rewording.
  * Fixed the note about maintainer scripts.
  * Added the "watch" file, described its usefulness a bit.
  * Some fixes to the section about the menu file.
  * Fixed the dupload related stuff, as noted by Stephane Bortzmeyer (thanks
    for the useful tip!).
  * Rearrangements in the resulting files section, added description of
    the .diff.gz file, fixed description of the .changes file.

  * Added French translation in the source package, build it as a separate
    binary(-all) packages. Many thanks to Frederic Dumont
    <frederic.dumont@freeworld.be>, for providing the translation.
  * Currently waiting for the Spanish and the Japanese translations to
    get updated from 0.95 to this version.

  * Updated packages for Policy 3.x compliance. Major rearrangements in the
    rules file.

 -- Josip Rodin <jrodin@jagor.srce.hr>  Sun, 19 Sep 1999 21:24:33 +0200

maint-guide (0.95) unstable; urgency=low

  * New version, mostly bug fixes... see the log in CVS.

 -- Josip Rodin <jrodin@jagor.srce.hr>  Sat,  3 Apr 1999 17:52:38 +0200

maint-guide (0.9) unstable; urgency=low

  * New version, bug fixes and other boring stuff :)
  * Beautified doc-base file.

 -- Josip Rodin <jrodin@jagor.srce.hr>  Wed, 24 Mar 1999 21:52:46 +0100

maint-guide (0.8) unstable; urgency=low



=== debian/control ===
Source: maint-guide
Section: doc
Priority: optional
Maintainer: Josip Rodin <jrodin@jagor.srce.hr>
Build-Depends: debiandoc-sgml
Standards-Version: 3.1.1

Package: maint-guide
Architecture: all
Suggests: doc-base
Description: Debian New Maintainers' Guide
 This package contains the Debian New Maintainers' Guide.
 .
 This document will try to describe building of a Debian GNU/Linux
 package to the common Debian user (and wannabe developer) in common
 language, and well covered with working examples.
 .
 Contains following chapters:
   1. Getting started "The Right Way"
   2. First steps
   3. Modifying the source
   4. Required stuff under debian/
   5. Other files under debian/
   6. Final steps

Package: maint-guide-fr
Architecture: all
Suggests: doc-base
Description: French translation of Debian New Maintainers' Guide.
 This package contains the French translation of Debian New
 Maintainers' Guide, or Nouveau guide du responsable Debian.
 .
 This document will try to describe building of a Debian GNU/Linux
 package to the common Debian user (and wannabe developer) in common
 language, and well covered with working examples.
 .
 Contains following chapters:
   1. Getting started "The Right Way"
   2. First steps
   3. Modifying the source
   4. Required stuff under debian/
   5. Other files under debian/
   6. Final steps

Package: maint-guide-ja
Architecture: all
Suggests: doc-base
Description: Japanese translation of Debian New Maintainers' Guide.
 This package contains the Japanese translation of Debian New
 Maintainers' Guide, or Debian ƥ.
 .
 This document will try to describe building of a Debian GNU/Linux
 package to the common Debian user (and wannabe developer) in common
 language, and well covered with working examples.
 .
 Contains following chapters:
   1. Getting started "The Right Way"
   2. First steps
   3. Modifying the source
   4. Required stuff under debian/
   5. Other files under debian/
   6. Final steps

Package: maint-guide-es
Architecture: all
Suggests: doc-base
Description: Spanish translation of Debian New Maintainers' Guide.
 This package contains the Spanish translation of Debian New
 Maintainers' Guide, or Gua del Nuevo Desarrollador de Debian.
 .
 This document will try to describe building of a Debian GNU/Linux
 package to the common Debian user (and wannabe developer) in common
 language, and well covered with working examples.
 .
 Contains following chapters:
   1. Getting started "The Right Way"
   2. First steps
   3. Modifying the source
   4. Required stuff under debian/
   5. Other files under debian/
   6. Final steps

Package: maint-guide-ru
Architecture: all
Suggests: doc-base
Description: Russian translation of Debian New Maintainers' Guide.
 This package contains the Russian translation of Debian New
 Maintainers' Guide, or    Debian.
 .
 This document will try to describe building of a Debian GNU/Linux
 package to the common Debian user (and wannabe developer) in common
 language, and well covered with working examples.
 .
 Contains following chapters:
   1. Getting started "The Right Way"
   2. First steps
   3. Modifying the source
   4. Required stuff under debian/
   5. Other files under debian/
   6. Final steps

=== debian/rules ===
#!/usr/bin/make -f
# Derived from the rules file for developers-reference (Adam Di Carlo)
# and debhelper rules.multi2 example (Joey Hess).

#export DH_VERBOSE=1
export DH_COMPAT=2
export DH_OPTIONS

package		:= maint-guide
languages	:= fr ja es ru
docdir		:= usr/share/doc/$(package)
install_file	:= install -o root -g root -m 644

#DEB_VERSION	:= $(shell LC_ALL=C dpkg-parsechangelog | grep '^Version: ' | sed 's/^Version: *//')
#NICEDATE	:= $(shell date --date="`dpkg-parsechangelog | grep '^Date: ' | sed 's/^Date: *//'`" '+%d %B, %Y')
#	echo "<!entity version \"$(DEB_VERSION)\">" >  version.ent
#	echo "<!entity date    \"$(NICEDATE)\">"    >> version.ent

build: stamp-build
stamp-build: $(package).sgml
	dh_testdir
	$(MAKE) validate all
	touch $@

clean:
	dh_testdir
	dh_testroot
	$(MAKE) clean
	dh_clean stamp-build debian/$(package)-*.p* $(package)*.sasp*

install: stamp-build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs -Ai $(docdir)
	dh_installdirs -p$(package) $(docdir)/$(package).html
	install -m644 Credits debian/$(package)/$(docdir)
# English version:
	cp -a $(package).html debian/$(package)/$(docdir)
	$(install_file) $(package).txt $(package).ps $(package).sgml \
          debian/$(package)/$(docdir)
# Translations:
	@set -ex; for lang in $(languages); do \
          cp -a $(package).$$lang.html debian/$(package)-$$lang/$(docdir); \
          $(install_file) $(package).$$lang.txt $(package).$$lang.sgml \
            debian/$(package)-$$lang/$(docdir); \
        done

binary-indep: DH_OPTIONS=-i
binary-indep: build install
	dh_installdocs
	dh_installchangelogs
	@set -ex; for lang in $(languages); do \
          ln -s ../$(package) debian/$(package)-$$lang/$(docdir)-$$lang; \
        done
	dh_strip
	dh_fixperms
	dh_compress
	@set -ex; cd debian; for lang in $(languages); do \
          cp lang.prerm $(package)-$$lang.prerm; \
          cp lang.postinst $(package)-$$lang.postinst; \
        done
	dh_installdeb
	dh_gencontrol
#	DH_OPTIONS="-p$(package)" dh_gencontrol
#	DH_OPTIONS="-p$(package)-fr -u"-v1.0"" dh_gencontrol
#	DH_OPTIONS="-p$(package)-ja -u"-v1.0"" dh_gencontrol
#	DH_OPTIONS="-p$(package)-es -u"-v1.0"" dh_gencontrol
#	DH_OPTIONS="-p$(package)-ru -u"-v1.0"" dh_gencontrol
	dh_md5sums
	dh_builddeb

# The extra-package files
# English version:
	GZIP=-9 tar czf ../$(package).html.tar.gz $(package).html
	dpkg-distaddfile $(package).html.tar.gz byhand -
	gzip -cf9 $(package).txt > ../$(package).txt.gz
	dpkg-distaddfile $(package).txt.gz byhand -
	gzip -cf9 $(package).ps > ../$(package).ps.gz
	dpkg-distaddfile $(package).ps.gz byhand -
# Translations:
	@set -ex; for lang in $(languages); do \
          GZIP=-9 tar czf ../$(package).$$lang.html.tar.gz $(package).$$lang.html; \
          dpkg-distaddfile $(package).$$lang.html.tar.gz byhand -; \
          gzip -cf9 $(package).$$lang.txt > ../$(package).$$lang.txt.gz; \
          dpkg-distaddfile $(package).$$lang.txt.gz byhand -; \
        done

binary-arch:
# There are no architecture-dependent packages here.

binary: binary-indep binary-arch
.PHONY: build clean binary binary-arch binary-indep install

## maint-guide 1.0.2

=== Makefile ===
#
# Makefile for the Debian New Maintainers' Guide
#
# Should work both for a manual in the Debian Documentation Project
# manuals.sgml tree, and for maint-guide package build.

MANUAL :=	$(shell echo $(notdir $(CURDIR)) | perl -pe 's/-[\d.]+$$//')

foo:
	@echo $(MANUAL)

# this can and will be overriden by a higher level makefile
PUBLISHDIR := ../../../public_html/manuals.html

all: html txt ps

# generating HTML
html: $(patsubst %.sgml,%.html/index.html,$(wildcard *.sgml))

$(MANUAL).html/index.html: $(MANUAL).sgml
	debiandoc2html $<

$(MANUAL).%.html/index.html: $(MANUAL).%.sgml
	debiandoc2html -c -l $* $<

# generating plain text
txt text: $(patsubst %.sgml,%.txt,$(wildcard *.sgml))

$(MANUAL).txt: $(MANUAL).sgml
	debiandoc2text $<

$(MANUAL).%.txt: $(MANUAL).%.sgml
	debiandoc2text -l $* $<

# generating PostScript
ps: $(MANUAL).ps

$(MANUAL).ps: $(MANUAL).sgml
	debiandoc2latexps $<

# publishing to the DDP web pages
publish: html
	test -d $(PUBLISHDIR)/$(MANUAL) || install -d -m 755 $(PUBLISHDIR)/$(MANUAL)
	rm -f $(PUBLISHDIR)/$(MANUAL)/*.html
	install -p -m 644 $(MANUAL)*.html/*.html $(PUBLISHDIR)/$(MANUAL)/

# validating SGML
validate:
	set -x; for i in $(wildcard *.sgml); do nsgmls -ges -wall $$i; done

# cleaning up
clean distclean:
	rm -f $(MANUAL)*.{txt,ps,dvi,pdf,info*,log,tex,aux,toc,sasp*} *~
	rm -rf $(MANUAL)*.html

.PHONY: all publish clean distclean validate

=== debian/changelog ===
maint-guide (1.0.2) unstable; urgency=low

  * Major updates to the Spanish translation.
  * Some updates to the French translation.
  * Minor fix to the Japanese translation.
  * Removed the paragraph that mentioned packaging-manual, closes: #89986.
  * Upped all translations versions to 1.0.2, my copyright to 2001, and
    the date to 10 June 2001 -- hope babelfishing worked :)
  * Forced $LANG=C in rules file to work around bug #76037 in debiandoc-sgml,
    closes: #87283.
  * Added Build-Depends-Indep: tetex-bin, tetex-extra, closes: #92293.
  * Fixed minor mistakes and style problems Neil Conway
    <nconway@klamath.dyndns.org> pointed out, closes: #97864.
  * Fixed that small problem with grep being an it, not a he, closes: #89628.
  * Policy 3.5.5, no changes.

 -- Josip Rodin <jrodin@jagor.srce.hr>  Sun, 10 Jun 2001 03:10:47 +0200

maint-guide (1.0.1) unstable; urgency=low

  * Added German translation, kindly provided by Eduard Bloch
    <edi@ka.linux.de>.
  * Added Portuguese (Brazilian) translation, kindly provided by
    Gustavo Noronha Silva (KoV) <dockov@zaz.com.br>.
    It's going to be contained in maint-guide-pt package, Portuguese (real)
    translation can be added later if someone wants.

 -- Josip Rodin <jrodin@jagor.srce.hr>  Tue,  2 Jan 2001 23:18:16 +0100

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,9 @@
 Section: doc
 Priority: optional
 Maintainer: Josip Rodin <jrodin@jagor.srce.hr>
-Build-Depends: debiandoc-sgml
-Standards-Version: 3.1.1
+Build-Depends-Indep: debiandoc-sgml, tetex-bin, tetex-extra
+Build-Depends: debhelper
+Standards-Version: 3.5.5
 
 Package: maint-guide
 Architecture: all
@@ -98,3 +99,41 @@
    4. Required stuff under debian/
    5. Other files under debian/
    6. Final steps
+
+Package: maint-guide-de
+Architecture: all
+Suggests: doc-base
+Description: German translation of Debian New Maintainers' Guide.
+ This package contains the German translation of Debian New
+ Maintainers' Guide, bzw. Anleitung fr zuknftige Debian-Maintainer.
+ .
+ This document will try to describe building of a Debian GNU/Linux
+ package to the common Debian user (and wannabe developer) in common
+ language, and well covered with working examples.
+ .
+ Contains following chapters:
+   1. Getting started "The Right Way"
+   2. First steps
+   3. Modifying the source
+   4. Required stuff under debian/
+   5. Other files under debian/
+   6. Final steps
+
+Package: maint-guide-pt
+Architecture: all
+Suggests: doc-base
+Description: Portuguese translation of Debian New Maintainers' Guide.
+ This package contains the Portuguese (Brazilian) translation of Debian New
+ Maintainers' Guide, or Guia dos Novos Mantenedores Debian.
+ .
+ This document will try to describe building of a Debian GNU/Linux
+ package to the common Debian user (and wannabe developer) in common
+ language, and well covered with working examples.
+ .
+ Contains following chapters:
+   1. Getting started "The Right Way"
+   2. First steps
+   3. Modifying the source
+   4. Required stuff under debian/
+   5. Other files under debian/
+   6. Final steps

=== debian/rules ===
--- 
+++ 
@@ -5,16 +5,14 @@
 #export DH_VERBOSE=1
 export DH_COMPAT=2
 export DH_OPTIONS
+export LANG=C
+# stupid kludge around a stupid debiandoc-sgml bug
 
 package		:= maint-guide
-languages	:= fr ja es ru
+languages	:= fr ja es ru de
+# pt_BR is handled manually
 docdir		:= usr/share/doc/$(package)
 install_file	:= install -o root -g root -m 644
-
-#DEB_VERSION	:= $(shell LC_ALL=C dpkg-parsechangelog | grep '^Version: ' | sed 's/^Version: *//')
-#NICEDATE	:= $(shell date --date="`dpkg-parsechangelog | grep '^Date: ' | sed 's/^Date: *//'`" '+%d %B, %Y')
-#	echo "<!entity version \"$(DEB_VERSION)\">" >  version.ent
-#	echo "<!entity date    \"$(NICEDATE)\">"    >> version.ent
 
 build: stamp-build
 stamp-build: $(package).sgml
@@ -28,6 +26,7 @@
 	$(MAKE) clean
 	dh_clean stamp-build debian/$(package)-*.p* $(package)*.sasp*
 
+install: DH_OPTIONS=
 install: stamp-build
 	dh_testdir
 	dh_testroot
@@ -45,6 +44,10 @@
           $(install_file) $(package).$$lang.txt $(package).$$lang.sgml \
             debian/$(package)-$$lang/$(docdir); \
         done
+# special case for pt_BR because it's different(tm)
+	cp -a $(package).pt_BR.html debian/$(package)-pt/$(docdir)
+	$(install_file) $(package).pt_BR.txt $(package).pt_BR.sgml \
+          debian/$(package)-pt/$(docdir)
 
 binary-indep: DH_OPTIONS=-i
 binary-indep: build install
@@ -53,6 +56,7 @@
 	@set -ex; for lang in $(languages); do \
           ln -s ../$(package) debian/$(package)-$$lang/$(docdir)-$$lang; \
         done
+	ln -s ../$(package) debian/$(package)-pt/$(docdir)-pt
 	dh_strip
 	dh_fixperms
 	dh_compress
@@ -60,6 +64,8 @@
           cp lang.prerm $(package)-$$lang.prerm; \
           cp lang.postinst $(package)-$$lang.postinst; \
         done
+	cp debian/lang.prerm debian/$(package)-pt.prerm
+	cp debian/lang.postinst debian/$(package)-pt.postinst
 	dh_installdeb
 	dh_gencontrol
 #	DH_OPTIONS="-p$(package)" dh_gencontrol
@@ -85,6 +91,10 @@
           gzip -cf9 $(package).$$lang.txt > ../$(package).$$lang.txt.gz; \
           dpkg-distaddfile $(package).$$lang.txt.gz byhand -; \
         done
+	GZIP=-9 tar czf ../$(package).pt.html.tar.gz $(package).pt_BR.html
+	dpkg-distaddfile $(package).pt.html.tar.gz byhand -
+	gzip -cf9 $(package).pt_BR.txt > ../$(package).pt.txt.gz
+	dpkg-distaddfile $(package).pt.txt.gz byhand -
 
 binary-arch:
 # There are no architecture-dependent packages here.

## maint-guide 1.2.1

=== debian/changelog ===
maint-guide (1.2.1) unstable; urgency=low

  * Updated various translations from CVS.
  * Updated Italian translation to 1.2, closes: #154941.
  * Added Chinese translation in maint-guide-zh, version 1.2. No PDFs.
  * Fixed various typos and other language issues in the English version,
    closes: #159218, #171833.
  * Removed byhand files, cf. bug #184082.
  * Updated standards version (no more postinst and prerm hacks, yay).

 -- Josip Rodin <joy-packages@debian.org>  Wed,  9 Jul 2003 18:30:21 +0200

maint-guide (1.2) unstable; urgency=high

  * New English version of the guide, closes: #106060, #108763, #108854,
    #119729, #127186, #132241, #118769, #85897, #115864.
  * Updated French translation to 1.2.
  * Updated Japanese translation to 1.2.
  * Added maint-guide-it, version 1.0.2, closes: #115366.
  * Added Polish translation, version 1.2, in maint-guide-pl.
  * Added the packages we recommend in the Suggests: fields, closes: #77900.
  * Added index.xy.html symlink to fix the links in the doc-base files,
    closes: #106833.
  * Added PDF versions everywhere, except for Japanese which unfortunately
    doesn't build properly.

 -- Josip Rodin <jrodin@jagor.srce.hr>  Sun, 28 Apr 2002 11:04:42 +0200

=== debian/rules ===
#!/usr/bin/make -f
# Derived from the rules file for developers-reference (Adam Di Carlo)
# and debhelper rules.multi2 example (Joey Hess).

#export DH_VERBOSE=1
export DH_COMPAT=2
export DH_OPTIONS
export LANG=C
# stupid kludge around a stupid debiandoc-sgml bug

name		:= maint-guide
languagesfoo	:= fr ja es ru de it pl
languagesbar	:= pt_BR zh_CN
docdir		:= usr/share/doc/$(name)
install_file	:= install -m 0644

build: stamp-build
stamp-build: $(name).sgml
	dh_testdir
	$(MAKE) validate all
	touch $@

clean:
	dh_testdir
	dh_testroot
	$(MAKE) clean
	dh_clean stamp-build debian/$(name)-*.p*

install: DH_OPTIONS=
install: stamp-build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs -Ai $(docdir)
	dh_installdirs -p$(name) $(docdir)
	install -m644 Credits debian/$(name)/$(docdir)
# English version:
	cp -a $(name).en.html debian/$(name)/$(docdir)
	$(install_file) $(name).en.txt $(name).sgml \
                        $(name).en.ps $(name).en.pdf \
                        debian/$(name)/$(docdir)
	ln -s index.en.html \
              debian/$(name)/$(docdir)/$(name).en.html/index.html
# most of the translations just use the language code
	@set -ex; for lang in $(languagesfoo); do \
          cp -a $(name).$$lang.html debian/$(name)-$$lang/$(docdir); \
          ln -s index.$$lang.html \
                debian/$(name)-$$lang/$(docdir)/$(name).$$lang.html/index.html; \
          $(install_file) $(name).$$lang.txt $(name).$$lang.sgml \
            debian/$(name)-$$lang/$(docdir); \
          if [ $$lang != ja ]; then \
            $(install_file) $(name).$$lang.ps $(name).$$lang.pdf \
              debian/$(name)-$$lang/$(docdir); \
          fi; \
        done
# special case for translations using language_country code
	@set -ex; for i in $(languagesbar); do \
	  l=`echo $${i} | cut -d_ -f1`; \
	  s=`echo $${i} | cut -d_ -f2 | tr A-Z a-z`; \
	  cp -a $(name).$${i}.html debian/$(name)-$$l/$(docdir); \
	  $(install_file) $(name).$${i}.txt $(name).$${i}.sgml \
            debian/$(name)-$${l}/$(docdir); \
          if [ $$lang != ja ]; then \
	    $(install_file) $(name).$${i}.ps $(name).$${i}.pdf \
              debian/$(name)-$${l}/$(docdir); \
	  fi; \
	  ln -s index.$${l}-$${s}.html \
                debian/$(name)-$${l}/$(docdir)/$(name).$${i}.html/index.html; \
	done

binary-indep: DH_OPTIONS=-i
binary-indep: build install
	dh_installdocs
	dh_installchangelogs
	@set -ex; for lang in $(languagesfoo) $(languagesbar); do \
	  l=`echo $$lang | cut -d_ -f1`; \
          ln -s ../$(name) debian/$(name)-$${l}/$(docdir)-$${l}; \
        done
	dh_strip
	dh_fixperms
	dh_compress
	dh_installdeb
#	dh_gencontrol
# up to date versions, using the default value of 1.2* in debian/changelog:
	DH_OPTIONS="-p$(name)" dh_gencontrol
	DH_OPTIONS="-p$(name)-fr" dh_gencontrol
	DH_OPTIONS="-p$(name)-ja" dh_gencontrol
	DH_OPTIONS="-p$(name)-pl" dh_gencontrol
	DH_OPTIONS="-p$(name)-it" dh_gencontrol
	DH_OPTIONS="-p$(name)-zh" dh_gencontrol
# out of date versions:
	DH_OPTIONS="-p$(name)-de -u"-v1.0.2-3"" dh_gencontrol
	DH_OPTIONS="-p$(name)-es -u"-v1.0.2-3"" dh_gencontrol
	DH_OPTIONS="-p$(name)-pt -u"-v1.0.2-3"" dh_gencontrol
	DH_OPTIONS="-p$(name)-ru -u"-v1.0.2-3"" dh_gencontrol
	dh_md5sums
	dh_builddeb

binary-arch:
# There are no architecture-dependent packages here.

binary: binary-indep binary-arch
.PHONY: build clean binary binary-arch binary-indep install

## maint-guide 1.2.2

=== Makefile ===
#
# Makefile for the Debian New Maintainers' Guide
#
# Should work both for a manual in the Debian Documentation Project
# manuals.sgml tree, and for $(MANUAL) package build.

# Basename for SGML
MANUAL := $(shell echo $(notdir $(CURDIR)) | perl -pe 's/-[\d.]+$$//')

# this can and will be overriden by a higher level makefile
PUBLISHDIR := /org/www.debian.org/www/doc/manuals

all: html txt ps pdf

sources := $(wildcard *.??*.sgml)
sources_noncjk := $(filter-out maint-guide.zh_CN.sgml,$(filter-out maint-guide.ja.sgml,$(sources)))

# generating HTML
# ugly because the normal stuff works only as PHONYs. :(
#$(MANUAL).%.html/index.%.html: $(MANUAL).%.sgml
#	debiandoc2html -c -l $* $<
html:
	@if [ $(MANUAL).sgml -nt $(MANUAL).en.html/index.en.html ]; then \
          echo debiandoc2html -c -l en $(MANUAL).sgml; \
          debiandoc2html -c -l en $(MANUAL).sgml; \
          mv $(MANUAL).html $(MANUAL).en.html; \
        fi
	@for i in *.??*.sgml; do \
          j=$${i#$(MANUAL).}; lang=$${j%.sgml}; \
	  if [ $$i -nt $(MANUAL).$$lang.html/index.$$lang.html ]; then \
            echo debiandoc2html -c -l $$lang $$i; \
            debiandoc2html -c -l $$lang $$i; \
          fi; \
        done

# generating plain text
txt text: $(MANUAL).en.txt $(patsubst %.sgml,%.txt,$(sources))

$(MANUAL).en.txt: $(MANUAL).sgml
	debiandoc2text -l en $<
	mv $(MANUAL).txt $(MANUAL).en.txt

$(MANUAL).%.txt: $(MANUAL).%.sgml
	debiandoc2text -l $* $<

# generating PostScript
ps: $(MANUAL).en.ps $(patsubst %.sgml,%.ps,$(sources_noncjk))

$(MANUAL).en.ps: $(MANUAL).sgml
	debiandoc2latexps -l en $<
	mv $(MANUAL).ps $(MANUAL).en.ps

$(MANUAL).%.ps: $(MANUAL).%.sgml
	debiandoc2latexps -l $* $<

# generating Portable Document Format
pdf: $(MANUAL).en.pdf $(patsubst %.sgml,%.pdf,$(sources_noncjk))

$(MANUAL).en.pdf: $(MANUAL).sgml
	debiandoc2latexpdf -l en $<
	mv $(MANUAL).pdf $(MANUAL).en.pdf

$(MANUAL).%.pdf: $(MANUAL).%.sgml
	debiandoc2latexpdf -l $* $<

# publishing to the DDP web pages
publish: all
	test -d $(PUBLISHDIR)/$(MANUAL) || install -d -m 755 $(PUBLISHDIR)/$(MANUAL)
	rm -f $(PUBLISHDIR)/$(MANUAL)/*.html
	install -p -m 644 $(MANUAL)*.html/*.html $(PUBLISHDIR)/$(MANUAL)/
# possible non-POSIX syntax below. fuck POSIX.
	cd $(PUBLISHDIR)/$(MANUAL) && for file in *.en.html; do \
          ln -s $$file $${file%$${file#$${file%.en.html}}}.html; \
        done
	install -p -m 644 $(MANUAL)*.txt $(MANUAL)*.ps $(MANUAL)*.pdf $(PUBLISHDIR)/$(MANUAL)
	ln -sf $(MANUAL).en.txt $(PUBLISHDIR)/$(MANUAL)/$(MANUAL).txt
	ln -sf $(MANUAL).en.ps $(PUBLISHDIR)/$(MANUAL)/$(MANUAL).ps
	ln -sf $(MANUAL).en.pdf $(PUBLISHDIR)/$(MANUAL)/$(MANUAL).pdf

# validating SGML
validate:
	@set -x; for i in $(wildcard *.sgml); do nsgmls -ges -wall $$i; done

# cleaning up
clean distclean:
	rm -f $(MANUAL)*.{txt,ps,dvi,pdf,info*,log,tex,aux,toc,out,sasp*,tpt} *~
	rm -rf $(MANUAL)*.html

.PHONY: all publish clean distclean validate
.SUFFIXES:

=== debian/changelog ===
maint-guide (1.2.2) unstable; urgency=low

  * NMU, partially blessed by the maintainer (ignoring bugs where I have no
    instructions for)
  * Minor changes in maint-guide (version 1.2.2, by Josip)
  * German translation overhaul (update to version 1.2.2 by Erik Schanze
    <mail@erikschanze.de>, Frank Lichtenheld <frank@lichtenheld.de>, 
    closes: #241950, #150188)
  * Translation updates (to version 1.2.2): maint-guide-es, maint-guide-fr,
    maint-guide-it, maint-guide-ja, maint-guide-pl, maint-guide-zh

 -- Eduard Bloch <blade@debian.org>  Sat, 17 Jul 2004 17:09:34 +0200

=== debian/control ===
Source: maint-guide
Section: doc
Priority: optional
Maintainer: Josip Rodin <joy-packages@debian.org>
Build-Depends-Indep: debiandoc-sgml, tetex-bin, tetex-extra
Build-Depends: debhelper (>= 2)
Standards-Version: 3.6.0

Package: maint-guide
Architecture: all
Suggests: doc-base, dh-make, devscripts, fakeroot, lintian, dupload | dput, debian-policy, developers-reference
Description: Debian New Maintainers' Guide
 This package contains the Debian New Maintainers' Guide.
 .
 This document tries to describe building of a Debian package to the
 common Debian user, and wannabe developer. It uses pretty common
 language, and it's well covered with working examples.
 .
 The document contains these chapters:
     * 1 Getting started The Right Way
     * 2 First steps
     * 3 Modifying the source
     * 4 Required stuff under debian/
     * 5 Other files under debian/
     * 6 Building the package
     * 7 Checking the package for errors
     * 8 Uploading the package
     * 9 Updating the package
     * 10 Where to ask for help

Package: maint-guide-fr
Architecture: all
Suggests: doc-base, dh-make, devscripts, fakeroot, lintian, dupload | dput, debian-policy, developers-reference
Description: French translation of Debian New Maintainers' Guide
 This package contains the French translation of Debian New
 Maintainers' Guide, or Nouveau guide du responsable Debian.
 .
 This document tries to describe building of a Debian package to the
 common Debian user, and wannabe developer. It uses pretty common
 language, and it's well covered with working examples.
 .
 The document contains these chapters:
     * 1 Getting started The Right Way
     * 2 First steps
     * 3 Modifying the source
     * 4 Required stuff under debian/
     * 5 Other files under debian/
     * 6 Building the package
     * 7 Checking the package for errors
     * 8 Uploading the package
     * 9 Updating the package
     * 10 Where to ask for help

Package: maint-guide-ja
Architecture: all
Suggests: doc-base, dh-make, devscripts, fakeroot, lintian, dupload | dput, debian-policy, developers-reference
Description: Japanese translation of Debian New Maintainers' Guide
 This package contains the Japanese translation of Debian New
 Maintainers' Guide, or Debian ƥ.
 .
 This document tries to describe building of a Debian package to the
 common Debian user, and wannabe developer. It uses pretty common
 language, and it's well covered with working examples.
 .
 The document contains these chapters:
     * 1 Getting started The Right Way
     * 2 First steps
     * 3 Modifying the source
     * 4 Required stuff under debian/
     * 5 Other files under debian/
     * 6 Building the package
     * 7 Checking the package for errors
     * 8 Uploading the package
     * 9 Updating the package
     * 10 Where to ask for help

Package: maint-guide-es
Architecture: all
Suggests: doc-base, dh-make, devscripts, fakeroot, lintian, dupload | dput, debian-policy, developers-reference
Description: Spanish translation of Debian New Maintainers' Guide
 This package contains the Spanish translation of Debian New
 Maintainers' Guide, or Gua del Nuevo Desarrollador de Debian.
 .
 This document tries to describe building of a Debian package to the
 common Debian user, and wannabe developer. It uses pretty common
 language, and it's well covered with working examples.
 .
 The document contains these chapters:
     * 1 Getting started The Right Way
     * 2 First steps
     * 3 Modifying the source
     * 4 Required stuff under debian/
     * 5 Other files under debian/
     * 6 Building the package
     * 7 Checking the package for errors
     * 8 Uploading the package
     * 9 Updating the package
     * 10 Where to ask for help

Package: maint-guide-ru
Architecture: all
Suggests: doc-base, dh-make, devscripts, fakeroot, lintian, dupload | dput, debian-policy, developers-reference
Description: Russian translation of Debian New Maintainers' Guide
 This package contains the Russian translation of Debian New
 Maintainers' Guide, or    Debian.
 .
 This document tries to describe building of a Debian package to the
 common Debian user, and wannabe developer. It uses pretty common
 language, and it's well covered with working examples.
 .
 The document contains these chapters:
     * 1 Getting started The Right Way
     * 2 First steps
     * 3 Modifying the source
     * 4 Required stuff under debian/
     * 5 Other files under debian/
     * 6 Building the package
     * 7 Checking the package for errors
     * 8 Uploading the package
     * 9 Updating the package
     * 10 Where to ask for help

Package: maint-guide-de
Architecture: all
Suggests: doc-base, dh-make, devscripts, fakeroot, lintian, dupload | dput, debian-policy, developers-reference
Description: German translation of Debian New Maintainers' Guide
 This package contains the German translation of Debian New
 Maintainers' Guide, bzw. Anleitung fr zuknftige Debian-Maintainer.
 .
 This document tries to describe building of a Debian package to the
 common Debian user, and wannabe developer. It uses pretty common
 language, and it's well covered with working examples.
 .
 The document contains these chapters:
     * 1 Getting started The Right Way
     * 2 First steps
     * 3 Modifying the source
     * 4 Required stuff under debian/
     * 5 Other files under debian/
     * 6 Building the package
     * 7 Checking the package for errors
     * 8 Uploading the package
     * 9 Updating the package
     * 10 Where to ask for help

Package: maint-guide-pt
Architecture: all
Suggests: doc-base, dh-make, devscripts, fakeroot, lintian, dupload | dput, debian-policy, developers-reference
Description: Portuguese translation of Debian New Maintainers' Guide
 This package contains the Portuguese (Brazilian) translation of Debian New
 Maintainers' Guide, or Guia dos Novos Mantenedores Debian.
 .
 This document tries to describe building of a Debian package to the
 common Debian user, and wannabe developer. It uses pretty common
 language, and it's well covered with working examples.
 .
 The document contains these chapters:
     * 1 Getting started The Right Way
     * 2 First steps
     * 3 Modifying the source
     * 4 Required stuff under debian/
     * 5 Other files under debian/
     * 6 Building the package
     * 7 Checking the package for errors
     * 8 Uploading the package
     * 9 Updating the package
     * 10 Where to ask for help

Package: maint-guide-it
Architecture: all
Suggests: doc-base, dh-make, devscripts, fakeroot, lintian, dupload | dput, debian-policy, developers-reference
Description: Italian translation of Debian New Maintainers' Guide
 This package contains the Italian translation of Debian New Maintainers'
 Guide, or Guida per il nuovo Maintainer.
 .
 This document tries to describe building of a Debian package to the
 common Debian user, and wannabe developer. It uses pretty common
 language, and it's well covered with working examples.
 .
 The document contains these chapters:
     * 1 Getting started The Right Way
     * 2 First steps
     * 3 Modifying the source
     * 4 Required stuff under debian/
     * 5 Other files under debian/
     * 6 Building the package
     * 7 Checking the package for errors
     * 8 Uploading the package
     * 9 Updating the package
     * 10 Where to ask for help

Package: maint-guide-pl
Architecture: all
Suggests: doc-base, dh-make, devscripts, fakeroot, lintian, dupload | dput, debian-policy, developers-reference
Description: Polish translation of Debian New Maintainers' Guide
 This package contains the Polish translation of Debian New Maintainers'
 Guide, or Podrcznik dla nowych opiekunw pakietw Debiana.
 .
 This document tries to describe building of a Debian package to the
 common Debian user, and wannabe developer. It uses pretty common
 language, and it's well covered with working examples.
 .
 The document contains these chapters:
     * 1 Getting started The Right Way
     * 2 First steps
     * 3 Modifying the source
     * 4 Required stuff under debian/
     * 5 Other files under debian/
     * 6 Building the package
     * 7 Checking the package for errors
     * 8 Uploading the package
     * 9 Updating the package
     * 10 Where to ask for help

Package: maint-guide-zh
Architecture: all
Suggests: doc-base, dh-make, devscripts, fakeroot, lintian, dupload | dput, debian-policy, developers-reference
Description: Chinese (simplified) translation of Debian New Maintainers' Guide
 This package contains the simplified Chinese translation of
 Debian New Maintainers' Guide.
 .
 This document tries to describe building of a Debian package to the
 common Debian user, and wannabe developer. It uses pretty common
 language, and it's well covered with working examples.
 .
 The document contains these chapters:
     * 1 Getting started The Right Way
     * 2 First steps
     * 3 Modifying the source
     * 4 Required stuff under debian/
     * 5 Other files under debian/
     * 6 Building the package
     * 7 Checking the package for errors
     * 8 Uploading the package
     * 9 Updating the package
     * 10 Where to ask for help

=== debian/rules ===
--- 
+++ 
@@ -89,10 +89,10 @@
 	DH_OPTIONS="-p$(name)-it" dh_gencontrol
 	DH_OPTIONS="-p$(name)-zh" dh_gencontrol
 # out of date versions:
-	DH_OPTIONS="-p$(name)-de -u"-v1.0.2-3"" dh_gencontrol
-	DH_OPTIONS="-p$(name)-es -u"-v1.0.2-3"" dh_gencontrol
-	DH_OPTIONS="-p$(name)-pt -u"-v1.0.2-3"" dh_gencontrol
-	DH_OPTIONS="-p$(name)-ru -u"-v1.0.2-3"" dh_gencontrol
+	DH_OPTIONS="-p$(name)-de -u"-v1.0.2-4"" dh_gencontrol
+	DH_OPTIONS="-p$(name)-es -u"-v1.0.2-4"" dh_gencontrol
+	DH_OPTIONS="-p$(name)-pt -u"-v1.0.2-4"" dh_gencontrol
+	DH_OPTIONS="-p$(name)-ru -u"-v1.0.2-4"" dh_gencontrol
 	dh_md5sums
 	dh_builddeb
